# 
# WARNING: DON'T use tables.sql.in file; use tables.sql instead.
# tables.sql.in is just a template for configure script which
# generates tables.sql depending on options you have selected.
#
#
# This SQL script will create the necessary tables for ASPSeek.
# It should be used for MySQL only.
# To create the tables, use something like
# mysql -uasp -pmypassword aspseek < tables.sql
#
#drop table wordurl;
#drop table wordurl1;
#drop table urlword;
#drop table urlwords00;
#drop table urlwords01;
#drop table urlwords02;
#drop table urlwords03;
#drop table urlwords04;
#drop table urlwords05;
#drop table urlwords06;
#drop table urlwords07;
#drop table urlwords08;
#drop table urlwords09;
#drop table urlwords10;
#drop table urlwords11;
#drop table urlwords12;
#drop table urlwords13;
#drop table urlwords14;
#drop table urlwords15;
#drop table sites;
#drop table stat;
#drop table robots;
#drop table subsets;
#drop table spaces;
#drop table tmpurl;
#drop table wordsite;
#drop table citation;
#drop table countries;
#drop table cache;

create table wordurl(word tinyblob not null,
	word_id integer auto_increment primary key, urls blob,
	urlcount integer, totalcount integer,
	unique index(word(64)));
create table wordurl1(word tinyblob not null,
	word_id integer not null,
	urls blob,
	urlcount integer, totalcount integer,
	unique index(word(64)),
	unique index(word_id));

create table urlword(url_id integer auto_increment primary key,
	site_id integer not null,
	deleted tinyint DEFAULT 0 NOT NULL,
	url varchar(128) not null,
	next_index_time INT NOT NULL,
	status int(11) DEFAULT '0' NOT NULL,
	crc char(32) DEFAULT '' NOT NULL,
	last_modified varchar(32) DEFAULT '' NOT NULL,
	etag varchar(48) DEFAULT '' NOT NULL,
	last_index_time INT NOT NULL,
	referrer int(11) DEFAULT '0' NOT NULL,
	tag int(11) DEFAULT '0' NOT NULL,
	hops int(11) DEFAULT '0' NOT NULL,
	redir integer,
	origin integer,
	unique index(url),
	index(next_index_time),
	index(hops,next_index_time),
	index crc (origin, site_id,crc(8)));

create table urlwords00(url_id integer NOT NULL,
	deleted tinyint DEFAULT 0 NOT NULL,
	wordcount integer,
	totalcount integer,
	content_type varchar(48) DEFAULT '' NOT NULL,
	charset varchar(32) DEFAULT '' NOT NULL,
	title varbinary(128) DEFAULT '' NOT NULL,
	txt varbinary(255) DEFAULT '' NOT NULL,
	docsize int(11) DEFAULT '0' NOT NULL,
	keywords varchar(255) DEFAULT '' NOT NULL,
	description varbinary(100) DEFAULT '' NOT NULL,
	lang varchar(2) DEFAULT '' NOT NULL,
	words longblob,
	hrefs longblob,
	unique index(url_id));
create table urlwords01(url_id integer NOT NULL,
	deleted tinyint DEFAULT 0 NOT NULL,
	wordcount integer,
	totalcount integer,
	content_type varchar(48) DEFAULT '' NOT NULL,
	charset varchar(32) DEFAULT '' NOT NULL,
	title varbinary(128) DEFAULT '' NOT NULL,
	txt varbinary(255) DEFAULT '' NOT NULL,
	docsize int(11) DEFAULT '0' NOT NULL,
	keywords varchar(255) DEFAULT '' NOT NULL,
	description varbinary(100) DEFAULT '' NOT NULL,
	lang varchar(2) DEFAULT '' NOT NULL,
	words longblob,
	hrefs longblob,
	unique index(url_id));
create table urlwords02(url_id integer NOT NULL,
	deleted tinyint DEFAULT 0 NOT NULL,
	wordcount integer,
	totalcount integer,
	content_type varchar(48) DEFAULT '' NOT NULL,
	charset varchar(32) DEFAULT '' NOT NULL,
	title varbinary(128) DEFAULT '' NOT NULL,
	txt varbinary(255) DEFAULT '' NOT NULL,
	docsize int(11) DEFAULT '0' NOT NULL,
	keywords varchar(255) DEFAULT '' NOT NULL,
	description varbinary(100) DEFAULT '' NOT NULL,
	lang varchar(2) DEFAULT '' NOT NULL,
	words longblob,
	hrefs longblob,
	unique index(url_id));
create table urlwords03(url_id integer NOT NULL,
	deleted tinyint DEFAULT 0 NOT NULL,
	wordcount integer,
	totalcount integer,
	content_type varchar(48) DEFAULT '' NOT NULL,
	charset varchar(32) DEFAULT '' NOT NULL,
	title varbinary(128) DEFAULT '' NOT NULL,
	txt varbinary(255) DEFAULT '' NOT NULL,
	docsize int(11) DEFAULT '0' NOT NULL,
	keywords varchar(255) DEFAULT '' NOT NULL,
	description varbinary(100) DEFAULT '' NOT NULL,
	lang varchar(2) DEFAULT '' NOT NULL,
	words longblob,
	hrefs longblob,
	unique index(url_id));
create table urlwords04(url_id integer NOT NULL,
	deleted tinyint DEFAULT 0 NOT NULL,
	wordcount integer,
	totalcount integer,
	content_type varchar(48) DEFAULT '' NOT NULL,
	charset varchar(32) DEFAULT '' NOT NULL,
	title varbinary(128) DEFAULT '' NOT NULL,
	txt varbinary(255) DEFAULT '' NOT NULL,
	docsize int(11) DEFAULT '0' NOT NULL,
	keywords varchar(255) DEFAULT '' NOT NULL,
	description varbinary(100) DEFAULT '' NOT NULL,
	lang varchar(2) DEFAULT '' NOT NULL,
	words longblob,
	hrefs longblob,
	unique index(url_id));
create table urlwords05(url_id integer NOT NULL,
	deleted tinyint DEFAULT 0 NOT NULL,
	wordcount integer,
	totalcount integer,
	content_type varchar(48) DEFAULT '' NOT NULL,
	charset varchar(32) DEFAULT '' NOT NULL,
	title varbinary(128) DEFAULT '' NOT NULL,
	txt varbinary(255) DEFAULT '' NOT NULL,
	docsize int(11) DEFAULT '0' NOT NULL,
	keywords varchar(255) DEFAULT '' NOT NULL,
	description varbinary(100) DEFAULT '' NOT NULL,
	lang varchar(2) DEFAULT '' NOT NULL,
	words longblob,
	hrefs longblob,
	unique index(url_id));
create table urlwords06(url_id integer NOT NULL,
	deleted tinyint DEFAULT 0 NOT NULL,
	wordcount integer,
	totalcount integer,
	content_type varchar(48) DEFAULT '' NOT NULL,
	charset varchar(32) DEFAULT '' NOT NULL,
	title varbinary(128) DEFAULT '' NOT NULL,
	txt varbinary(255) DEFAULT '' NOT NULL,
	docsize int(11) DEFAULT '0' NOT NULL,
	keywords varchar(255) DEFAULT '' NOT NULL,
	description varbinary(100) DEFAULT '' NOT NULL,
	lang varchar(2) DEFAULT '' NOT NULL,
	words longblob,
	hrefs longblob,
	unique index(url_id));
create table urlwords07(url_id integer NOT NULL,
	deleted tinyint DEFAULT 0 NOT NULL,
	wordcount integer,
	totalcount integer,
	content_type varchar(48) DEFAULT '' NOT NULL,
	charset varchar(32) DEFAULT '' NOT NULL,
	title varbinary(128) DEFAULT '' NOT NULL,
	txt varbinary(255) DEFAULT '' NOT NULL,
	docsize int(11) DEFAULT '0' NOT NULL,
	keywords varchar(255) DEFAULT '' NOT NULL,
	description varbinary(100) DEFAULT '' NOT NULL,
	lang varchar(2) DEFAULT '' NOT NULL,
	words longblob,
	hrefs longblob,
	unique index(url_id));
create table urlwords08(url_id integer NOT NULL,
	deleted tinyint DEFAULT 0 NOT NULL,
	wordcount integer,
	totalcount integer,
	content_type varchar(48) DEFAULT '' NOT NULL,
	charset varchar(32) DEFAULT '' NOT NULL,
	title varbinary(128) DEFAULT '' NOT NULL,
	txt varbinary(255) DEFAULT '' NOT NULL,
	docsize int(11) DEFAULT '0' NOT NULL,
	keywords varchar(255) DEFAULT '' NOT NULL,
	description varbinary(100) DEFAULT '' NOT NULL,
	lang varchar(2) DEFAULT '' NOT NULL,
	words longblob,
	hrefs longblob,
	unique index(url_id));
create table urlwords09(url_id integer NOT NULL,
	deleted tinyint DEFAULT 0 NOT NULL,
	wordcount integer,
	totalcount integer,
	content_type varchar(48) DEFAULT '' NOT NULL,
	charset varchar(32) DEFAULT '' NOT NULL,
	title varbinary(128) DEFAULT '' NOT NULL,
	txt varbinary(255) DEFAULT '' NOT NULL,
	docsize int(11) DEFAULT '0' NOT NULL,
	keywords varchar(255) DEFAULT '' NOT NULL,
	description varbinary(100) DEFAULT '' NOT NULL,
	lang varchar(2) DEFAULT '' NOT NULL,
	words longblob,
	hrefs longblob,
	unique index(url_id));
create table urlwords10(url_id integer NOT NULL,
	deleted tinyint DEFAULT 0 NOT NULL,
	wordcount integer,
	totalcount integer,
	content_type varchar(48) DEFAULT '' NOT NULL,
	charset varchar(32) DEFAULT '' NOT NULL,
	title varbinary(128) DEFAULT '' NOT NULL,
	txt varbinary(255) DEFAULT '' NOT NULL,
	docsize int(11) DEFAULT '0' NOT NULL,
	keywords varchar(255) DEFAULT '' NOT NULL,
	description varbinary(100) DEFAULT '' NOT NULL,
	lang varchar(2) DEFAULT '' NOT NULL,
	words longblob,
	hrefs longblob,
	unique index(url_id));
create table urlwords11(url_id integer NOT NULL,
	deleted tinyint DEFAULT 0 NOT NULL,
	wordcount integer,
	totalcount integer,
	content_type varchar(48) DEFAULT '' NOT NULL,
	charset varchar(32) DEFAULT '' NOT NULL,
	title varbinary(128) DEFAULT '' NOT NULL,
	txt varbinary(255) DEFAULT '' NOT NULL,
	docsize int(11) DEFAULT '0' NOT NULL,
	keywords varchar(255) DEFAULT '' NOT NULL,
	description varbinary(100) DEFAULT '' NOT NULL,
	lang varchar(2) DEFAULT '' NOT NULL,
	words longblob,
	hrefs longblob,
	unique index(url_id));
create table urlwords12(url_id integer NOT NULL,
	deleted tinyint DEFAULT 0 NOT NULL,
	wordcount integer,
	totalcount integer,
	content_type varchar(48) DEFAULT '' NOT NULL,
	charset varchar(32) DEFAULT '' NOT NULL,
	title varbinary(128) DEFAULT '' NOT NULL,
	txt varbinary(255) DEFAULT '' NOT NULL,
	docsize int(11) DEFAULT '0' NOT NULL,
	keywords varchar(255) DEFAULT '' NOT NULL,
	description varbinary(100) DEFAULT '' NOT NULL,
	lang varchar(2) DEFAULT '' NOT NULL,
	words longblob,
	hrefs longblob,
	unique index(url_id));
create table urlwords13(url_id integer NOT NULL,
	deleted tinyint DEFAULT 0 NOT NULL,
	wordcount integer,
	totalcount integer,
	content_type varchar(48) DEFAULT '' NOT NULL,
	charset varchar(32) DEFAULT '' NOT NULL,
	title varbinary(128) DEFAULT '' NOT NULL,
	txt varbinary(255) DEFAULT '' NOT NULL,
	docsize int(11) DEFAULT '0' NOT NULL,
	keywords varchar(255) DEFAULT '' NOT NULL,
	description varbinary(100) DEFAULT '' NOT NULL,
	lang varchar(2) DEFAULT '' NOT NULL,
	words longblob,
	hrefs longblob,
	unique index(url_id));
create table urlwords14(url_id integer NOT NULL,
	deleted tinyint DEFAULT 0 NOT NULL,
	wordcount integer,
	totalcount integer,
	content_type varchar(48) DEFAULT '' NOT NULL,
	charset varchar(32) DEFAULT '' NOT NULL,
	title varbinary(128) DEFAULT '' NOT NULL,
	txt varbinary(255) DEFAULT '' NOT NULL,
	docsize int(11) DEFAULT '0' NOT NULL,
	keywords varchar(255) DEFAULT '' NOT NULL,
	description varbinary(100) DEFAULT '' NOT NULL,
	lang varchar(2) DEFAULT '' NOT NULL,
	words longblob,
	hrefs longblob,
	unique index(url_id));
create table urlwords15(url_id integer NOT NULL,
	deleted tinyint DEFAULT 0 NOT NULL,
	wordcount integer,
	totalcount integer,
	content_type varchar(48) DEFAULT '' NOT NULL,
	charset varchar(32) DEFAULT '' NOT NULL,
	title varbinary(128) DEFAULT '' NOT NULL,
	txt varbinary(255) DEFAULT '' NOT NULL,
	docsize int(11) DEFAULT '0' NOT NULL,
	keywords varchar(255) DEFAULT '' NOT NULL,
	description varbinary(100) DEFAULT '' NOT NULL,
	lang varchar(2) DEFAULT '' NOT NULL,
	words longblob,
	hrefs longblob,
	unique index(url_id));

CREATE TABLE robots (
  hostinfo varchar(127) DEFAULT '' NOT NULL,
  path varchar(127) DEFAULT '' NOT NULL,
  index(hostinfo)
);

create table sites (
	site_id integer auto_increment primary key,
	site varchar(128) not null,
	unique index (site)
);

create table stat (
	addr varchar(128),
	proxy varchar(128),
	query varchar(255),
	ul varchar(255),
	sp varchar(255),
	site integer,
	np integer,
	ps integer,
	sites integer,
	urls integer,
	start decimal(15,3),
	finish decimal(15,3),
	referer varchar(255)
);

create table subsets (
	subset_id integer auto_increment primary key,
	mask varchar(128) NOT NULL,
	unique index(mask)
);

create table spaces (
	space_id integer not null,
	site_id integer not null,
	index (space_id, site_id)
);

create table tmpurl (
	url_id integer not null,
	thread integer not null
);

create table wordsite (
	word varchar(32) not null,
	sites longblob,
	unique index(word)
);

create table citation (
	url_id integer not null,
	referrers longblob,
	unique index(url_id)
);

create table countries (
	country varchar(20),
	addr integer unsigned not null,
	mask integer unsigned not null,
	expires integer not null,
	unique index(addr)
);

create table cache (
        qkey integer unsigned not null,
        urls longblob,
        unique index(qkey)
);
